about summary refs log tree commit diff
path: root/scripts/deploy-argocd
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xscripts/deploy-argocd12
1 files changed, 12 insertions, 0 deletions
diff --git a/scripts/deploy-argocd b/scripts/deploy-argocd
new file mode 100755
index 0000000..2fdec58
--- /dev/null
+++ b/scripts/deploy-argocd
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+set -e
+
+
+if kubectl get namespace argocd; then
+  echo "Namespace 'argocd' alreay exists. Doing nothing"
+else
+  echo "Creating argocd namespace"
+  kubectl create namespace argocd
+fi
+